Subject: Re: thanks for the terminal room!

From: Graham Klyne <[email-masked]>
Date: Wed, 16 Dec 1998 11:02:39 +0000

At 00:31 16/12/98 -0500, Keith Moore wrote:

>Our host, and the terminal room folks, deserve a gold star for this one.

I'll second that!  And I did appreciate the table space.

#g

------------
Graham Klyne
([email-masked])

---

From: "Flanigan, Bill" <[email-masked]>
Date: Wed, 16 Dec 1998 17:17:11 -0500

Make that a platinum star, and also make it 10!

Bill

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
William F. Flanigan, Jr., Ph.D.       Voice:           (703) 681-2318
Defense Information Systems Agency      Fax:           (703) 681-2814 
Information Assurance Office (JED)      DSN:                      761      
5600 Columbia Pike, Room 632     Voice Mail:           (703) 681-2318   
Falls Church, VA 22041-2717        Internet:  <[email-masked]>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

> -----Original Message-----
> From:	Patrik Fältström [SMTP:[email-masked]]
> Sent:	Wednesday, December 16, 1998 1:21 AM
> To:	Keith Moore; Henk Uijterwaal (RIPE-NCC)
> Cc:	[email-masked]
> Subject:	Re: thanks for the terminal room!
> 
> At 00.31 -0500 98-12-16, Keith Moore wrote:
> One from me aswell! Well done!
> 
>   paf

---

From: Steve Bellovin <[email-masked]>
Date: Thu, 17 Dec 1998 07:35:35 -0500

In message <v0410360fb29e877517f7@[192.168.124.31]>, Patrik =?iso-8859-1?Q?F=E4
ltstr=F6m?= writes:
> At 17.17 -0500 98-12-16, Flanigan, Bill wrote:
> To get platinum, I would have liked a DHCP server which worked also 
> for non-Windows boxes.
> 
> Because of that, I only have them gold (and they get Gold because 
> everyone which had problem with DHCP promptly got fixed IP-addresses).

I was able to use ISC dhcp from my BSD/OS box; it worked just fine,
modulo a few instances where someone else started using my lease --
and I don't know if I should blame the client or the server for that.

---

From: [email-masked] (Peter Deutsch)
Date: Thu, 17 Dec 1998 09:30:20 -0500

[ Ned Freed wrote: ]

> Agreed. The terminal room in Orlando was excellent.

I've been waiting for someone else to notice this, but the
answer to meeting room overcrowding is now obvious. We hold
all sessions in the terminal room!  ;-)

					- peterd

-- 
------------------------------------------------------------------------------
     Peter Deutsch,                                   (514) 285-0088  (phone)
  Bunyip Information Systems Inc.                     (514) 285-4515  (fax)
    <[email-masked]>                               http://www.bunyip.com

                          Bunyip has moved!

  147 St. Paul Street. West
  Suite 200                             New telephone number: (514)285-0088
  Montreal, Quebec                      New fax number:       (514)285-4515    
  H2Y 1Z5  CANADA
-----------------------------------------------------------------------------

---

From: [email-masked] (Peter Deutsch)
Date: Thu, 17 Dec 1998 09:30:20 -0500

[ Ned Freed wrote: ]

					- peterd

                          Bunyip has moved!

---

From: "Tony Dal Santo" <[email-masked]>
Date: Thu, 17 Dec 1998 12:15:39 -0500

"Daniel Senie" wrote:

> "Michael H. Warfield" wrote:
> >     This also points up the danger of the logic in saying "Oh, I
couldn't
> > contact the server this time so I'll just use the old information".  I
> > think that's a bad practice, especially if the lease had expired.  If
the
> > server assigned out an address were the lease had not expired, that's
also
> > bad practice and I would blame the server for that.
>
> Win98, if it doesn't presently have a lease (i.e. current address is
> 0.0.0.0) will assign itself an address from the link-local block
> (169.254/16). If it already has an address, it appears to keep using it.
> In some ways, this is reasonable. If a company's DHCP server is
> temporarily down, and a lease expires, a workstation would suddenly
> quit. In a typical environment where the address space isn't
> oversubscribed, this works pretty well.

If a lease expires, a client should stop using that address (and indeed
"stop working").  This is what RFC 2131 says (section 3.7):

   If a client has knowledge of a previous network address and is unable
   to contact a local DHCP server, the client may continue to use the
   previous network address until the lease for that address expires.
   If the lease expires before the client can contact a DHCP server, the
   client must immediately discontinue use of the previous network
   address and may inform local users of the problem.

The client should start trying renewing the lease before it expires.
If I remember correctly, it's at half the lease life.  This allows for
the server to be unavailable for awhile, yet still not impact clients.
If clients work this way, I don't see how an address "collision" can
happen.

Tony Dal Santo

---

From: "Tony Dal Santo" <[email-masked]>
Date: Thu, 17 Dec 1998 12:15:39 -0500

couldn't
the
also

Tony Dal Santo

---

From: Tony Hain <[email-masked]>
Date: Thu, 17 Dec 1998 11:49:03 -0800

To help close this off, on behalf of the team I will say thanks for all of
the comments and I will pass them along. 

Now that I have had a few days to recover I will say that hosting is one of
those life experiences that should be shared widely. Be sure to let Steve
Coya know when you are willing to take your turn.

=============================================================
Tony Hain			[email-masked]
<mailto:[email-masked]> 

		-----Original Message-----
		From:	Chris Newman [mailto:[email-masked]]
		Sent:	Thursday, December 17, 1998 11:25 AM
		To:	[email-masked]
		Subject:	Re: thanks for the terminal room!

		On Thu, 17 Dec 1998, Daniel Senie wrote:
		> Both client and server are to blame. The server either
didn't respond,
		> or was slow, and so a client decided to use the address it
had from the
		> last time it did get to talk to the server. There are a
few solutions to
		> this:

		Wait a minute!  We're not allowed to have technical
discussions on the
		main IETF list, are we?  I guess it's time for this thread
to end.

				- Chris

		P.S. The terminal room was great, despite the slow DHCP
server.

---

From: Tony Hain <[email-masked]>
Date: Thu, 17 Dec 1998 11:49:03 -0800

-----Original Message-----
		From:	Chris Newman [mailto:[email-masked]]
		Sent:	Thursday, December 17, 1998 11:25 AM
		To:	[email-masked]
		Subject:	Re: thanks for the terminal room!

didn't respond,
had from the
few solutions to

				- Chris

---

From: Tony Hain <[email-masked]>
Date: Thu, 17 Dec 1998 12:24:23 -0800

On the laptop segment the switching was provided by a pair of Cat5k's. There
was some issue with the router interface on that segment where its arp cache
was not working consistently. We actually turned off HSRP on the suspicion
it might be related, but in retrospect it looks like there was some
interaction between that cut of router code, that specific router, and the
cat5k. It didn't occur on the other segments or the alternate router and
only appeared after updating the code to support the new multicast
interconnect.

=============================================================
Tony Hain			 <mailto:[email-masked]>
[email-masked]

		-----Original Message-----
		From:	Theodore Y. Ts'o [mailto:[email-masked]]
		Sent:	Thursday, December 17, 1998 12:04 PM
		To:	Bill Sommerfeld
		Cc:	Patrik Fältström; Flanigan, Bill; Keith Moore; Henk
Uijterwaal; [email-masked]
		Subject:	Re: thanks for the terminal room!

		   Date: Thu, 17 Dec 1998 12:29:23 -0500
		   From: Bill Sommerfeld
<[email-masked]>

		   The DHCP server was just exceptionally slow in responding
to DISCOVER
		   messages (which are the initial contact from the client
to a server).
		   It's not clear to me what was going on, but the behavior
was
		   consistent with DISCOVER messages having a high
probability of being
		   dropped.

		I was using a static address, and it often took 5-15 seconds
before the
		!@#!? switch doing VLAN noticed that I was pinging the
switch address
		and would pay attention to my laptop.  Someone next to me
claimed it was
		because there was an NT box providing the VLAN support, but
I had a lot
		of trouble believing that.

		The bottom line though is that it might not necessarily have
been DHCP's
		fault; the problem may have been at the switch level.

									-
Ted

---

From: Tony Hain <[email-masked]>
Date: Thu, 17 Dec 1998 12:24:23 -0800

-----Original Message-----
		From:	Theodore Y. Ts'o [mailto:[email-masked]]
		Sent:	Thursday, December 17, 1998 12:04 PM
		To:	Bill Sommerfeld
		Cc:	Patrik Fältström; Flanigan, Bill; Keith Moore; Henk

									-
Ted